[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#866045: stretch-pu: package bridge-utils/1.5-14



I'm sorry about the mistakes on this stretch-pu upload, this is the first time
I try to upload something to stable.

I was following
https://www.debian.org/doc/manuals/developers-reference/pkgs.html#upload-stable
but didn't find there all the info I was looking for, is there any other
more comprehensive doc?

My first doubt was if I should fill the bug report against current stable
version or if I should first upload a fixed version.

About the bug report as I was the one finding it I directly created the fix,
if you prefer me to file a bug so that we can then close it on our
changelog, that's fine with me.

The full patch should be this one:

diff -ru bridge-utils-1.5-13/debian/bridge-utils.sh bridge-utils-1.5-13+deb9u1/debian/bridge-utils.sh
--- bridge-utils-1.5-13/debian/bridge-utils.sh  2017-06-27 22:57:15.000000000 +0200
+++ bridge-utils-1.5-13+deb9u1/debian/bridge-utils.sh   2017-06-27 22:57:37.000000000 +0200
@@ -58,11 +58,11 @@
 create_vlan_port()
 {
 # port doesn't yet exist
-if ! grep -q "$port" /proc/net/dev
+if ! grep -q "$port:" /proc/net/dev
 then
   dev="${port%.*}"
   # port is a vlan and the device exists?
-  if [ "$port" != "$dev" ] && grep -q "$dev" /proc/net/dev
+  if [ "$port" != "$dev" ] && grep -q "$dev:" /proc/net/dev
   then
     if [ -f /proc/sys/net/ipv6/conf/$dev/disable_ipv6 ]
     then
@@ -77,7 +77,7 @@
 destroy_vlan_port()
 {
 # port exists
-if grep -q "$port" /proc/net/dev
+if grep -q "$port:" /proc/net/dev
 then
   dev="${port%.*}"
   # port is a vlan
diff -ru bridge-utils-1.5-13/debian/changelog bridge-utils-1.5-13+deb9u1/debian/changelog
--- bridge-utils-1.5-13/debian/changelog        2017-06-27 22:57:15.000000000 +0200
+++ bridge-utils-1.5-13+deb9u1/debian/changelog 2017-06-27 22:57:37.000000000 +0200
@@ -1,3 +1,9 @@
+bridge-utils (1.5-13+deb9u1) stretch; urgency=low
+
+  * Fix a problem with some vlan interfaces not being created.
+
+ -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 27 Jun 2017 22:53:30 +0200
+
 bridge-utils (1.5-13) unstable; urgency=low
 
   * Fix a hardcoded interface name on bridge-utils.sh. Closes: #854841.


About the problem we are trying to fix was not with the interfaces but with
other vlans, for example if the first vlan bridge port being created is
eth0.2000 and then eth0.2 is being added to this bridge, eth0.2 won't be
created as the bug will confuse eth0.2 with eth0.2000, with the patch this
will work ok.

So... how do we proceed from here?

Thanks in advance and sorry again.

Regards.
-- 
Manty/BestiaTester -> http://manty.net


Reply to: